package com.securitycontrol.background.mapper;

import com.securitycontrol.common.core.domain.Result;
import com.securitycontrol.entity.background.dto.DeviceDto;
import com.securitycontrol.entity.background.vo.DeviceVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备管理接口层
 * @author 黑子
 */

@Repository
public interface DeviceMapper {
    /**
     * 分页获取设备列表
     * @param dto
     * @return
     */
    List<DeviceVo> getDeviceList(DeviceDto dto);

    /**
     * 依据条件查询数据限制
     * @param dto
     * @param type
     * @return
     */
    Integer getDeviceNumByQuery(@Param("dto") DeviceVo dto,@Param("type") String type);

    /**
     * 新增数据
     * @param dto
     * @return
     */
    Integer insertData(DeviceVo dto);

    /**
     * 修改数据
     * @param dto
     * @return
     */
    Integer updateData(DeviceVo dto);

    /**
     * 删除设备
     * @param dto
     * @return
     */
    int deleteDevice(DeviceVo dto);

    /**
     * 查询设备细腻
     * @param dto
     * @return
     */
    DeviceVo getDeviceDetail(DeviceDto dto);

    /**
     * 查询安全帽下拉选
     * @param code
     * @return
     */
    List<DeviceVo>  getDeviceListByType(@Param("code") int code);
}
